package com.kakao.util.apicompatibility;

import android.content.Intent;
import android.os.Build;
import com.bytedance.covode.number.Covode;

public abstract class APICompatibility {
    public static volatile APICompatibility instance;

    static {
        Covode.recordClassIndex(45982);
    }

    public abstract String getSmsMessage(Intent intent);

    public static APICompatibility getInstance() {
        if (instance == null) {
            synchronized (APICompatibility.class) {
                if (instance == null) {
                    int i = Build.VERSION.SDK_INT;
                    instance = new APILevel21Compatibility();
                }
            }
        }
        return instance;
    }
}
